diff -urN golded+cvs20090710-src/golded3/gmarea.h golded-nsf-v003/golded3/gmarea.h
--- golded+cvs20090710-src/golded3/gmarea.h	2007-01-08 15:09:42.000000000 +0300
+++ golded-nsf-v003/golded3/gmarea.h	2009-07-10 09:58:18.000000000 +0400
@@ -280,6 +280,7 @@
     internetmsgid = false;
     msglistfast = false;
     msglistfirst = false;
+    msglistfirstfghi = false;
     msglistheader = false;
     msglistwidesubj = false;
     quotewraphard = false;
@@ -329,6 +330,7 @@
     memset(netname, 0, sizeof(netname));
     memset(organization, 0, sizeof(organization));
     memset(searchfor, 0, sizeof(searchfor));
+    memset(searchurlfor, 0, sizeof(searchurlfor));
     memset(tearline, 0, sizeof(tearline));
     memset(xlatexport, 0, sizeof(xlatexport));
     memset(xlatimport, 0, sizeof(xlatimport));
@@ -369,6 +371,7 @@
   int      msglistdate;
   bool     msglistfast;
   bool     msglistfirst;
+  bool     msglistfirstfghi;
   bool     msglistheader;
   bool     msglistwidesubj;
   Name     nickname;
@@ -406,6 +409,7 @@
   Path   inputfile;
   Path   outputfile;
   INam   searchfor;
+  INam   searchurlfor;
   int    twitmode;
   bool   inittwit;
   std::vector<Node> twitname;
@@ -641,6 +645,7 @@
         int    Msglistdate() const      { return adat->msglistdate; }
         bool   Msglistfast() const      { return adat->msglistfast; }
         bool   Msglistfirst() const     { return adat->msglistfirst; }
+        bool   Msglistfirstfghi() const { return adat->msglistfirstfghi; }
         bool   Msglistheader() const    { return adat->msglistheader; }
         bool   Msglistwidesubj() const  { return adat->msglistwidesubj; }
   const char*  Nickname() const         { return adat->nickname; }
@@ -658,6 +663,7 @@
   const int    Replyre() const          { return adat->replyre; }
         bool   StripHTML() const        { return adat->striphtml; }
   const char*  Searchfor() const        { return adat->searchfor; }
+  const char*  SearchURLfor() const     { return adat->searchurlfor; }
   const char*  Tagline() const          { return adat->tagline; }
         char   Taglinechar() const      { return adat->taglinechar; }
         bool   Taglinesupport() const   { return adat->taglinesupport; }
@@ -685,6 +691,7 @@
   const char*  SetOrigin(const char* o)       { return strxcpy(adat->origin, o, sizeof(adat->origin)); }
   const char*  SetOutputfile(const char* o)   { return strxcpy(adat->outputfile, o, sizeof(adat->outputfile)); }
   const char*  SetSearchfor(const char* s)    { return strxcpy(adat->searchfor, s, sizeof(adat->searchfor)); }
+  const char*  SetSearchURLfor(const char* s) { return strxcpy(adat->searchurlfor, s, sizeof(adat->searchurlfor)); }
   const char*  SetTagline(const char* t)      { return strxcpy(adat->tagline, t, sizeof(adat->tagline)); }
   const char*  SetTpl(const char* t)          { return strxcpy(adat->tpl, t, sizeof(adat->tpl)); }
         int    SetTwitmode(int m)             { adat->twitmode = m; return adat->twitmode; }
diff -urN golded+cvs20090710-src/golded3/golded3.all golded-nsf-v003/golded3/golded3.all
--- golded+cvs20090710-src/golded3/golded3.all	2006-05-14 05:19:15.000000000 +0400
+++ golded-nsf-v003/golded3/golded3.all	2009-07-10 09:58:18.000000000 +0400
@@ -78,6 +78,7 @@
 geutil   cpp all nov bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
 geutil2  cpp all ovl bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
 geview   cpp all ovl bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
+gfghi    cpp all ovl bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
 gmarea   cpp all ovl bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
 gehtml   cpp all nov bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
 golded3  cpp all nov bcd bco bcx djg emx lnx rsx wcn wco wcx cyg be sun
diff -urN golded+cvs20090710-src/golded3/golded3.cpp golded-nsf-v003/golded3/golded3.cpp
--- golded+cvs20090710-src/golded3/golded3.cpp	2008-10-12 13:17:01.000000000 +0400
+++ golded-nsf-v003/golded3/golded3.cpp	2009-07-10 09:58:18.000000000 +0400
@@ -47,8 +47,8 @@
 //  ------------------------------------------------------------------
 //  Product name.
 
-#define __GVER_NAME__           "GoldED"
-#define __GVER_SHORTNAME__      "GED"
+#define __GVER_NAME__           "GoldED-NSF"
+#define __GVER_SHORTNAME__      "GED-NSF"
 
 
 //  ------------------------------------------------------------------
diff -urN golded+cvs20090710-src/golded3/Makefile golded-nsf-v003/golded3/Makefile
--- golded+cvs20090710-src/golded3/Makefile	2006-06-27 00:26:36.000000000 +0400
+++ golded-nsf-v003/golded3/Makefile	2009-07-10 12:01:08.000000000 +0400
@@ -17,7 +17,10 @@
 ifneq ($(findstring GCFG_NO_MYSPELL, $(CPPFLAGS)), GCFG_NO_MYSPELL)
 GLIBS+=hunspell
 endif
-INCS=-I. -I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3 -I$(TOP)/goldlib/uulib -I$(TOP)/goldlib/smblib
+ifneq ($(findstring GCFG_NO_PCRE, $(CPPFLAGS)), GCFG_NO_PCRE)
+GLIBS+=glibc pcre
+endif
+INCS=-I. -I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg -I$(TOP)/goldlib/gmb3 -I$(TOP)/goldlib/uulib -I$(TOP)/goldlib/smblib -I$(TOP)/goldlib/pcre
 
 ifeq ($(findstring EMX, $(PATH)), EMX)
 STDLIBS=-los2me -lstdcpp
diff -urN golded+cvs20090710-src/golded3/mygolded.__h golded-nsf-v003/golded3/mygolded.__h
--- golded+cvs20090710-src/golded3/mygolded.__h	2000-12-19 12:02:50.000000000 +0300
+++ golded-nsf-v003/golded3/mygolded.__h	2009-07-10 09:58:18.000000000 +0400
@@ -34,11 +34,11 @@
 #undef __GVER_PRENAME__
 #define __GVER_PRENAME__       ""
 #undef __GVER_POSTNAME__
-#define __GVER_POSTNAME__      "+"
+#define __GVER_POSTNAME__      ""
 #undef __GVER_PRESHORTNAME__
 #define __GVER_PRESHORTNAME__  ""
 #undef __GVER_POSTSHORTNAME__
-#define __GVER_POSTSHORTNAME__ "+"
+#define __GVER_POSTSHORTNAME__ ""
 
 
 //  ------------------------------------------------------------------
diff -urN golded+cvs20090710-src/goldlib/gall/gdefs.h golded-nsf-v003/goldlib/gall/gdefs.h
--- golded+cvs20090710-src/goldlib/gall/gdefs.h	2009-04-04 13:51:04.000000000 +0400
+++ golded-nsf-v003/goldlib/gall/gdefs.h	2009-07-10 09:58:18.000000000 +0400
@@ -32,7 +32,9 @@
 
 /*  ------------------------------------------------------------------ */
 #include <stdlib.h>
+#if !defined(__FreeBSD__) && !defined(__APPLE__)
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <limits.h>
 #include <gcmpall.h>
diff -urN golded+cvs20090710-src/goldlib/gall/gftnnlge.cpp golded-nsf-v003/goldlib/gall/gftnnlge.cpp
--- golded+cvs20090710-src/goldlib/gall/gftnnlge.cpp	2009-04-20 00:49:49.000000000 +0400
+++ golded-nsf-v003/goldlib/gall/gftnnlge.cpp	2009-07-10 09:58:18.000000000 +0400
@@ -118,7 +118,7 @@
     read(fhx, buf, 255);
     if(*buf != ';') {
 
-      char* end = strchr(buf, '\r');
+      char* end = strchr(buf, '\n');
       if(end)
         *end = NUL;
 
diff -urN golded+cvs20090710-src/goldlib/gall/gtimall.h golded-nsf-v003/goldlib/gall/gtimall.h
--- golded+cvs20090710-src/goldlib/gall/gtimall.h	2008-11-17 02:36:12.000000000 +0300
+++ golded-nsf-v003/goldlib/gall/gtimall.h	2009-07-10 09:58:18.000000000 +0400
@@ -207,7 +207,7 @@
 
 #if defined(__OS2__)
 inline void usleep(long duration) { DosSleep(duration); }
-#elif (defined(__MINGW32__) && __GNUC__*100+__GNUC_MINOR__ < 304) || defined(_MSC_VER)
+#elif (defined(__MINGW32__) && __GNUC__*100+__GNUC_MINOR__ < 403) || defined(_MSC_VER)
 inline void usleep(long duration) { Sleep(duration); }
 #endif
 
diff -urN golded+cvs20090710-src/goldlib/gall/gutlgrp.cpp golded-nsf-v003/goldlib/gall/gutlgrp.cpp
--- golded+cvs20090710-src/goldlib/gall/gutlgrp.cpp	2002-09-24 14:16:03.000000000 +0400
+++ golded-nsf-v003/goldlib/gall/gutlgrp.cpp	2009-07-10 09:58:18.000000000 +0400
@@ -29,11 +29,20 @@
 #endif
 
 #include <cstdlib>
+#include <gstrall.h>
 #include <gmemdbg.h>
 #include <string>
 #include <gwildmat.h>
 #include <gutlgrp.h>
-
+#include <gregex.h>
+#if !defined(GCFG_NO_PCRE)
+#ifndef PCRE_STATIC
+#define PCRE_STATIC
+#endif
+#include <pcrecpp.h>
+#include <pcre_stringpiece.h>
+#include <sstream>
+#endif
 
 //  ------------------------------------------------------------------
 //  Constructor
@@ -263,5 +272,70 @@
   return rv;
 }
 
+//  ------------------------------------------------------------------
+
+UrlGrpResult Grp::SearchHandler(std::string text) {
+	UrlGrpResult result;
+	for(currgrp = container.begin(), currgrpno = 0; currgrp != container.end(); currgrp++, currgrpno++)
+	{
+		std::string pattern, engine, handler;
+		char buffer [200];
+		Grp::GetItm(GRPURL_ENGINE, buffer, sizeof(buffer));
+		engine = buffer;
+		Grp::GetItm(GRPURL_SCHEME, buffer, sizeof(buffer));
+		pattern = buffer;
+		Grp::GetItm(GRPURL_HANDLER, buffer, sizeof(buffer));
+		handler = buffer;
+
+		if (stricmp(engine.c_str(),"POSIX") ==0)
+		{
+			re_set_syntax(RE_SYNTAX_POSIX_EGREP);
+			struct re_pattern_buffer buffer;
+			memset(&buffer, 0, sizeof (buffer));
+
+			const char *out = re_compile_pattern(pattern.c_str(), pattern.size(), &buffer);
+			if (!out)
+			{
+				struct re_registers regs;
+				int res = re_search(&buffer, text.c_str(), text.size(), 0, text.size(), &regs);
+				if (res != -1 && res != -2)
+				{    
+					char pId[1024];
+					for (int i = 0; i < regs.num_regs; i++)
+					{
+						if (regs.start[i] == -1)
+							continue;
+
+						memset(pId, 0, sizeof(pId));
+						strncpy(pId, text.c_str() + regs.start[i], regs.end[i] - regs.start[i]);
+						result.handler=handler;
+						result.name=Grp::currgrp->first;
+						result.engine=engine;
+						result.scheme=pattern;
+						result.result=pId;
+						return result;
+					}
+				}
+			}
+		}
+#if !defined(GCFG_NO_PCRE)
+		else if (stricmp(engine.c_str(),"PCRE") ==0)
+		{
+			 std::string word = "";
+			 std::ostringstream buffer;
+			 buffer << "(" << pattern << ")";
+			 if (pcrecpp::RE(buffer.str()).PartialMatch(text.c_str(), &word ))
+			 {
+				result.handler=handler;
+				result.name=Grp::currgrp->first;
+				result.engine=engine;
+				result.scheme=pattern;
+				result.result=word;
+			 }
+		}
+#endif
+	}
+	return result;
+}
 
 //  ------------------------------------------------------------------
diff -urN golded+cvs20090710-src/goldlib/gall/gutlgrp.h golded-nsf-v003/goldlib/gall/gutlgrp.h
--- golded+cvs20090710-src/goldlib/gall/gutlgrp.h	2006-04-05 19:56:53.000000000 +0400
+++ golded-nsf-v003/goldlib/gall/gutlgrp.h	2009-07-10 09:58:18.000000000 +0400
@@ -74,6 +74,7 @@
   GRP_MSGLISTDATE,
   GRP_MSGLISTFAST,
   GRP_MSGLISTFIRST,
+  GRP_MSGLISTFIRSTFGHI,
   GRP_MSGLISTHEADER,
   GRP_MSGLISTWIDESUBJ,
   GRP_NICKNAME,
@@ -92,6 +93,7 @@
   GRP_SCHECKERDEFLANG,
 #endif
   GRP_SEARCHFOR,
+  GRP_SEARCHURLFOR,
   GRP_STRIPHTML,
   GRP_TAGLINE,
   GRP_TAGLINECHAR,
@@ -116,6 +118,10 @@
   GRP_XLATEXPORT,
   GRP_XLATIMPORT,
 
+  GRPURL_ENGINE,
+  GRPURL_HANDLER,
+  GRPURL_SCHEME,
+
   GRP_MAX
 };
 
@@ -123,6 +129,15 @@
 //  ------------------------------------------------------------------
 //  Group class
 
+struct UrlGrpResult
+{
+  std::string name;
+  std::string scheme;
+  std::string engine;
+  std::string handler;
+  std::string result;
+};
+
 class Grp {
 
 private:
@@ -180,6 +195,8 @@
   int GetItm(int __type, int& __data, int __no=-1);
   int GetItm(int __type, std::string& __data, int __no=-1);
   int GetItm(int __type, void* __data, int __size, int __no=-1);
+
+  UrlGrpResult SearchHandler(std::string text);
 };
 
 
diff -urN golded+cvs20090710-src/goldlib/gall/gutlvers.cpp golded-nsf-v003/goldlib/gall/gutlvers.cpp
--- golded+cvs20090710-src/goldlib/gall/gutlvers.cpp	2007-02-24 17:23:03.000000000 +0300
+++ golded-nsf-v003/goldlib/gall/gutlvers.cpp	2009-07-10 09:58:18.000000000 +0400
@@ -43,6 +43,10 @@
 #include <AppFileInfo.h>
 #endif
 
+#if defined(__APPLE__)
+#include <sys/types.h>
+#endif
+
 
 //  ------------------------------------------------------------------
 
@@ -100,7 +104,7 @@
 
 //  ------------------------------------------------------------------
 
-static void cpuname(int family, int model, const char *v_name, char *m_name)
+static void cpuname(int family, int model, int stepping, const char *v_name, char *m_name)
 {
   if (!strcmp("AuthenticAMD", v_name))
   {
@@ -349,9 +353,30 @@
 
 //  ------------------------------------------------------------------
 
+#if defined(__GNUC__) && defined(__i386__) || defined(__GNUC__) && defined(__x86_64__)
+static __inline void
+do_cpuid(u_int ax, u_int *p)
+{
+#if !defined(PIC) && !defined(__PIC__)
+
+	__asm __volatile("cpuid"
+                         : "=a" (p[0]), "=b" (p[1]), "=c" (p[2]), "=d" (p[3])
+                         :  "0" (ax));
+#else
+	__asm __volatile("pushl %%ebx\n\t"
+			 "cpuid\n\t"
+			 "movl %%ebx,%1\n\t"
+			 "popl %%ebx"
+                         : "=a" (p[0]), "=r" (p[1]), "=c" (p[2]), "=d" (p[3])
+                         :  "0" (ax));
+#endif
+}
+#endif
+
 char *gcpuid(char *_cpuname)
 {
-#if defined(__GNUC__) && defined(__i386__) || defined(_MSC_VER)
+#if defined(__GNUC__) && defined(__i386__) || defined(__GNUC__) && defined(__x86_64__) || defined(_MSC_VER)
+  u_int         regs[4];
   static struct scpuid_t
   {
     dword         cpu;           /* x86, where x=cpu */
@@ -394,9 +419,9 @@
   scpuid.model = (CPUInfo[0] >> 4) & 0x0F;
   scpuid.family = (CPUInfo[0] >> 8) & 0x0F;
 
-  cpuname(scpuid.family, scpuid.model, scpuid.vendor, _cpuname);
+  cpuname(scpuid.family, scpuid.model, scpuid.stepping, scpuid.vendor, _cpuname);
 
-#elif defined(__GNUC__) && defined(__i386__)
+#elif defined(__GNUC__) && defined(__i386__) && not defined(__APPLE__)
 
   asm(  /* assembler code is based on code of FreeBSD kernel sources */
         /* uses AT&T assembler notation */
@@ -538,15 +563,43 @@
        "eax", "ebx", "ecx", "edx", "esp"
   );
 
-  cpuname(scpuid.family?scpuid.family:scpuid.cpu, scpuid.model, scpuid.vendor, _cpuname);
+  if ((scpuid.cpu == 0xf) || (scpuid.cpu >= 0x6))
+  {
+	do_cpuid(0x00000001, regs);
+	scpuid.model = (regs[0] >> 4) & 15;
+	if (scpuid.cpu == 0xf)
+		scpuid.cpu += (regs[0] >> 20) & 0xff;
+	if (scpuid.cpu >= 0x6)
+		scpuid.model += ((regs[0] >> 16) & 0xF) << 4;
+  }
+  cpuname(scpuid.family?scpuid.family:scpuid.cpu, scpuid.model, scpuid.stepping, scpuid.vendor, _cpuname);
+#elif defined(__GNUC__) && defined(__x86_64__) || defined(__APPLE__)
+
+	do_cpuid(0, regs);
+	scpuid.cpu_high = regs[0];
+	((u_int *)&scpuid.vendor)[0] = regs[1];
+	((u_int *)&scpuid.vendor)[1] = regs[3];
+	((u_int *)&scpuid.vendor)[2] = regs[2];
+	scpuid.vendor[12] = '\0';
+
+	do_cpuid(0x00000001, regs);
+	scpuid.cpu   = (regs[0] >> 8) & 15;
+	scpuid.model = (regs[0] >> 4) & 15;
+	if (scpuid.cpu == 0xf)
+		scpuid.cpu += (regs[0] >> 20) & 0xff;
+	if (scpuid.cpu >= 0x6)
+		scpuid.model += ((regs[0] >> 16) & 0xF) << 4;
+	scpuid.stepping = (regs[0] & 0xf);
+
+	cpuname(scpuid.family?scpuid.family:scpuid.cpu, scpuid.model, scpuid.stepping, scpuid.vendor, _cpuname);
 
 #else
   #if defined(MSDOS) || defined(DOS) || defined(__MSDOS__) || defined(_DOS) \
    || defined(WIN32) || defined(__WIN32__) || defined(_WIN) || defined(WINNT) \
    || defined(__OS2__) || defined(OS2)
-    cpuname(0, 0, "x86", _cpuname);
+    cpuname(0, 0, 0, "x86", _cpuname);
   #else
-    cpuname(0, 0, "UNKNOWN", _cpuname);
+    cpuname(0, 0, 0, "UNKNOWN", _cpuname);
   #endif
 #endif
 
diff -urN golded+cvs20090710-src/goldlib/gall/gwinall.h golded-nsf-v003/goldlib/gall/gwinall.h
--- golded+cvs20090710-src/goldlib/gall/gwinall.h	2007-01-08 12:48:18.000000000 +0300
+++ golded-nsf-v003/goldlib/gall/gwinall.h	2009-07-10 09:58:18.000000000 +0400
@@ -324,7 +324,7 @@
 #define TCENTER     2   // Centered
 #define TRIGHT      3   // Right justified
 #define TBOTTOM     4   // Bottom border
-
+#define TSHORT      5   // Short Type (For FGHIURL)
 
 //  ------------------------------------------------------------------
 //  Values for the Proportional Bar
diff -urN golded+cvs20090710-src/goldlib/gall/Makefile golded-nsf-v003/goldlib/gall/Makefile
--- golded+cvs20090710-src/goldlib/gall/Makefile	2006-04-10 23:04:04.000000000 +0400
+++ golded-nsf-v003/goldlib/gall/Makefile	2009-07-10 10:00:14.000000000 +0400
@@ -23,6 +23,9 @@
 ifneq ($(findstring GCFG_NO_MYSPELL, $(CPPFLAGS)), GCFG_NO_MYSPELL)
 INCS+=-I$(TOP)/goldlib/hunspell
 endif
+ifneq ($(findstring GCFG_NO_PCRE, $(CPPFLAGS)), GCFG_NO_PCRE)
+INCS+=-I$(TOP)/goldlib/glibc -I$(TOP)/goldlib/pcre
+endif
 
 include $(TOP)/GNUmakef.inc
 
diff -urN golded+cvs20090710-src/goldlib/glibc/glibc.all golded-nsf-v003/goldlib/glibc/glibc.all
--- golded+cvs20090710-src/goldlib/glibc/glibc.all	2006-05-14 05:19:15.000000000 +0400
+++ golded-nsf-v003/goldlib/glibc/glibc.all	2009-07-10 12:01:31.000000000 +0400
@@ -1,4 +1,4 @@
-regex    cpp     all                                 emx         cyg
+regex    cpp     all                             lnx emx         cyg
 fnmatch  c       all
 glob     c       all
 dummy    c       all nov bcd bco bcx wcn wco wcx lnx     djg rsx     be sun
diff -urN golded+cvs20090710-src/goldlib/glibc/Makefile golded-nsf-v003/goldlib/glibc/Makefile
--- golded+cvs20090710-src/goldlib/glibc/Makefile	2001-06-12 21:31:12.000000000 +0400
+++ golded-nsf-v003/goldlib/glibc/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -3,7 +3,7 @@
 TOP=../..
 TARGET=glibc
 INCS=-I$(TOP)/goldlib/glibc -I$(TOP)/goldlib/gall
-CFLAGS=-DHAVE_CONFIG_H
+CFLAGS+=-DHAVE_CONFIG_H
 
 include $(TOP)/GNUmakef.inc
 include $(TOP)/GNUmakef.lib
diff -urN golded+cvs20090710-src/goldlib/gmb3/gmo_msg.h golded-nsf-v003/goldlib/gmb3/gmo_msg.h
--- golded+cvs20090710-src/goldlib/gmb3/gmo_msg.h	2006-05-15 10:20:57.000000000 +0400
+++ golded-nsf-v003/goldlib/gmb3/gmo_msg.h	2009-07-10 09:58:18.000000000 +0400
@@ -319,6 +319,7 @@
 
   ftn_addr    msgid;            // MSGID kludge address
   char        msgids[201];      // MSGID kludge string
+  char        msgidsfghi[201];  // MSGID kludge string
   char        replys[201];      // REPLY kludge string
 
   char        pid[80];          // PID kludge string
diff -urN golded+cvs20090710-src/goldlib/hunspell/Makefile golded-nsf-v003/goldlib/hunspell/Makefile
--- golded+cvs20090710-src/goldlib/hunspell/Makefile	2006-04-10 23:04:03.000000000 +0400
+++ golded-nsf-v003/goldlib/hunspell/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -3,7 +3,7 @@
 TOP=../..
 TARGET=hunspell
 INCS=-I$(TOP)/goldlib/hunspell -I$(TOP)/goldlib/gall
-CFLAGS=
+CFLAGS+=
 
 include $(TOP)/GNUmakef.inc
 include $(TOP)/GNUmakef.lib
diff -urN golded+cvs20090710-src/goldlib/pcre/config.h golded-nsf-v003/goldlib/pcre/config.h
--- golded+cvs20090710-src/goldlib/pcre/config.h	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/config.h	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,11 @@
+#define PCRE_STATIC 1
+
+#define NEWLINE			10
+#define POSIX_MALLOC_THRESHOLD	10
+#define LINK_SIZE		2
+#define MATCH_LIMIT		10000000
+#define MATCH_LIMIT_RECURSION	MATCH_LIMIT
+
+
+#define MAX_NAME_SIZE	32
+#define MAX_NAME_COUNT	10000
diff -urN golded+cvs20090710-src/goldlib/pcre/Makefile golded-nsf-v003/goldlib/pcre/Makefile
--- golded+cvs20090710-src/goldlib/pcre/Makefile	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,9 @@
+# -*- makefile -*-
+
+TOP=../..
+TARGET=pcre
+INCS=-I$(TOP)/goldlib/pcre -I$(TOP)/goldlib/gall
+CFLAGS+= -DHAVE_CONFIG_H -D__INCLUDE_NEW_KEYWORDS__
+
+include $(TOP)/GNUmakef.inc
+include $(TOP)/GNUmakef.lib
diff -urN golded+cvs20090710-src/goldlib/pcre/pcre.all golded-nsf-v003/goldlib/pcre/pcre.all
--- golded+cvs20090710-src/goldlib/pcre/pcre.all	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/pcre.all	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,22 @@
+pcre_chartables  c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_compile     c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_config      c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_dfa_exec    c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_exec        c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_fullinfo    c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_get         c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_globals     c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_info        c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_maketables  c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_newline     c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_ord2utf8    c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_refcount    c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_study       c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_tables      c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_try_flipped c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_ucd         c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_valid_utf8  c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_version     c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_xclass      c       all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcre_stringpiece cpp     all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
+pcrecpp          cpp     all ovl bcd bco bcx wcn wco wcx lnx emx djg rsx cyg be sun
diff -urN golded+cvs20090710-src/goldlib/pcre/pcre_chartables.c golded-nsf-v003/goldlib/pcre/pcre_chartables.c
--- golded+cvs20090710-src/goldlib/pcre/pcre_chartables.c	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/pcre_chartables.c	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,198 @@
+/*************************************************
+*      Perl-Compatible Regular Expressions       *
+*************************************************/
+
+/* This file contains character tables that are used when no external tables
+are passed to PCRE by the application that calls it. The tables are used only
+for characters whose code values are less than 256.
+
+This is a default version of the tables that assumes ASCII encoding. A program
+called dftables (which is distributed with PCRE) can be used to build
+alternative versions of this file. This is necessary if you are running in an
+EBCDIC environment, or if you want to default to a different encoding, for
+example ISO-8859-1. When dftables is run, it creates these tables in the
+current locale. If PCRE is configured with --enable-rebuild-chartables, this
+happens automatically.
+
+The following #includes are present because without the gcc 4.x may remove the
+array definition from the final binary if PCRE is built into a static library
+and dead code stripping is activated. This leads to link errors. Pulling in the
+header ensures that the array gets flagged as "someone outside this compilation
+unit might reference this" and so it will always be supplied to the linker. */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include "pcre_internal.h"
+
+const unsigned char _pcre_default_tables[] = {
+
+/* This table is a lower casing table. */
+
+    0,  1,  2,  3,  4,  5,  6,  7,
+    8,  9, 10, 11, 12, 13, 14, 15,
+   16, 17, 18, 19, 20, 21, 22, 23,
+   24, 25, 26, 27, 28, 29, 30, 31,
+   32, 33, 34, 35, 36, 37, 38, 39,
+   40, 41, 42, 43, 44, 45, 46, 47,
+   48, 49, 50, 51, 52, 53, 54, 55,
+   56, 57, 58, 59, 60, 61, 62, 63,
+   64, 97, 98, 99,100,101,102,103,
+  104,105,106,107,108,109,110,111,
+  112,113,114,115,116,117,118,119,
+  120,121,122, 91, 92, 93, 94, 95,
+   96, 97, 98, 99,100,101,102,103,
+  104,105,106,107,108,109,110,111,
+  112,113,114,115,116,117,118,119,
+  120,121,122,123,124,125,126,127,
+  128,129,130,131,132,133,134,135,
+  136,137,138,139,140,141,142,143,
+  144,145,146,147,148,149,150,151,
+  152,153,154,155,156,157,158,159,
+  160,161,162,163,164,165,166,167,
+  168,169,170,171,172,173,174,175,
+  176,177,178,179,180,181,182,183,
+  184,185,186,187,188,189,190,191,
+  192,193,194,195,196,197,198,199,
+  200,201,202,203,204,205,206,207,
+  208,209,210,211,212,213,214,215,
+  216,217,218,219,220,221,222,223,
+  224,225,226,227,228,229,230,231,
+  232,233,234,235,236,237,238,239,
+  240,241,242,243,244,245,246,247,
+  248,249,250,251,252,253,254,255,
+
+/* This table is a case flipping table. */
+
+    0,  1,  2,  3,  4,  5,  6,  7,
+    8,  9, 10, 11, 12, 13, 14, 15,
+   16, 17, 18, 19, 20, 21, 22, 23,
+   24, 25, 26, 27, 28, 29, 30, 31,
+   32, 33, 34, 35, 36, 37, 38, 39,
+   40, 41, 42, 43, 44, 45, 46, 47,
+   48, 49, 50, 51, 52, 53, 54, 55,
+   56, 57, 58, 59, 60, 61, 62, 63,
+   64, 97, 98, 99,100,101,102,103,
+  104,105,106,107,108,109,110,111,
+  112,113,114,115,116,117,118,119,
+  120,121,122, 91, 92, 93, 94, 95,
+   96, 65, 66, 67, 68, 69, 70, 71,
+   72, 73, 74, 75, 76, 77, 78, 79,
+   80, 81, 82, 83, 84, 85, 86, 87,
+   88, 89, 90,123,124,125,126,127,
+  128,129,130,131,132,133,134,135,
+  136,137,138,139,140,141,142,143,
+  144,145,146,147,148,149,150,151,
+  152,153,154,155,156,157,158,159,
+  160,161,162,163,164,165,166,167,
+  168,169,170,171,172,173,174,175,
+  176,177,178,179,180,181,182,183,
+  184,185,186,187,188,189,190,191,
+  192,193,194,195,196,197,198,199,
+  200,201,202,203,204,205,206,207,
+  208,209,210,211,212,213,214,215,
+  216,217,218,219,220,221,222,223,
+  224,225,226,227,228,229,230,231,
+  232,233,234,235,236,237,238,239,
+  240,241,242,243,244,245,246,247,
+  248,249,250,251,252,253,254,255,
+
+/* This table contains bit maps for various character classes. Each map is 32
+bytes long and the bits run from the least significant end of each byte. The
+classes that have their own maps are: space, xdigit, digit, upper, lower, word,
+graph, print, punct, and cntrl. Other classes are built from combinations. */
+
+  0x00,0x3e,0x00,0x00,0x01,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0x00,0x00,0xff,0x03,
+  0x7e,0x00,0x00,0x00,0x7e,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0x00,0x00,0xff,0x03,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0xfe,0xff,0xff,0x07,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0xfe,0xff,0xff,0x07,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0x00,0x00,0xff,0x03,
+  0xfe,0xff,0xff,0x87,0xfe,0xff,0xff,0x07,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0xfe,0xff,0xff,0xff,
+  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x7f,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,
+  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x7f,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0x00,0x00,0x00,0x00,0xfe,0xff,0x00,0xfc,
+  0x01,0x00,0x00,0xf8,0x01,0x00,0x00,0x78,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+  0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+
+/* This table identifies various classes of character by individual bits:
+  0x01   white space character
+  0x02   letter
+  0x04   decimal digit
+  0x08   hexadecimal digit
+  0x10   alphanumeric or '_'
+  0x80   regular expression metacharacter or binary zero
+*/
+
+  0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /*   0-  7 */
+  0x00,0x01,0x01,0x00,0x01,0x01,0x00,0x00, /*   8- 15 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /*  16- 23 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /*  24- 31 */
+  0x01,0x00,0x00,0x00,0x80,0x00,0x00,0x00, /*    - '  */
+  0x80,0x80,0x80,0x80,0x00,0x00,0x80,0x00, /*  ( - /  */
+  0x1c,0x1c,0x1c,0x1c,0x1c,0x1c,0x1c,0x1c, /*  0 - 7  */
+  0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x80, /*  8 - ?  */
+  0x00,0x1a,0x1a,0x1a,0x1a,0x1a,0x1a,0x12, /*  @ - G  */
+  0x12,0x12,0x12,0x12,0x12,0x12,0x12,0x12, /*  H - O  */
+  0x12,0x12,0x12,0x12,0x12,0x12,0x12,0x12, /*  P - W  */
+  0x12,0x12,0x12,0x80,0x80,0x00,0x80,0x10, /*  X - _  */
+  0x00,0x1a,0x1a,0x1a,0x1a,0x1a,0x1a,0x12, /*  ` - g  */
+  0x12,0x12,0x12,0x12,0x12,0x12,0x12,0x12, /*  h - o  */
+  0x12,0x12,0x12,0x12,0x12,0x12,0x12,0x12, /*  p - w  */
+  0x12,0x12,0x12,0x80,0x80,0x00,0x00,0x00, /*  x -127 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 128-135 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 136-143 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 144-151 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 152-159 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 160-167 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 168-175 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 176-183 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 184-191 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 192-199 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 200-207 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 208-215 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 216-223 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 224-231 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 232-239 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, /* 240-247 */
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};/* 248-255 */
+
+/* End of pcre_chartables.c */
